Bug 55114 - installer produces fs-errors if i try to update rh 7.0-7.2 from cd.
installer produces fs-errors if i try to update rh 7.0-7.2 from cd.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.2
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-25 15:10 EDT by Need Real Name
Modified: 2007-04-18 12:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-25 18:05:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-10-25 15:10:25 EDT
Description of Problem:

if i try to update with a redhat release >=7.0 the installer tells me that at least one filesystem has not been unmounted cleanly and that i have to fsck it and come back afterwards. 

the problem is, that all my partitions are error-free before i boot from the install-cd. fsck has been run on all partitions, but the installer still tells me one fs is corrupt. and actually he is right, because after rebooting, fsck finds some errors. but since these errors havent been there before, it seems that the installer (or in this case the updater) creates these errors 'on-the-fly'.

if i mount my partitions manually, after booting from the install-cd but before i've choosen to update, mount does not give me any warnings. but after the installer gave me the error-messages i can see the error-messages mount gave as the installer tried to mount my partitions in the console.

How Reproducible:

boot from install-cd, choose update ;)

Additional Information:
	
my partitions are:

===========================================================================================================
Disk Geometry Information for Disk 1:    553 Cylinders,  255 Heads,  63 Sectors/Track
System              PartSect  # Boot BCyl Head Sect  FS    ECyl Head Sect    StartSect     NumSects
===========================================================================================================
                           0  0  80     0    1    1  06     153  254   63           63    2,473,947
                           0  1  00   154    0    1  05     552  254   63    2,474,010    6,409,935
                   2,474,010  0  00   154    1    1  83     260  254   63    2,474,073    1,718,892
                   2,474,010  1  00   261    0    1  05     383  254   63    4,192,965    1,975,995
                   4,192,965  0  00   261    1    1  07     383  254   63    4,193,028    1,975,932
                   4,192,965  1  00   384    0    1  05     552  254   63    6,168,960    2,714,985
                   6,168,960  0  00   384    1    1  83     552  254   63    6,169,023    2,714,922

===========================================================================================================
Disk Geometry Information for Disk 2:    1116 Cylinders,  255 Heads,  63 Sectors/Track
System              PartSect  # Boot BCyl Head Sect  FS    ECyl Head Sect    StartSect     NumSects
===========================================================================================================
WIN952F32                  0  0  00     0    1    1  0B     573  254   63           63    9,221,247
                           0  1  00   574    0    1  05    1023  254   63    9,221,310    8,707,230
Info: End C,H,S values were large drive placeholders.
  Actual values are:
        0  1  00    574    0    1  05   1115  254   63   9221310   8707230
BIGONE             9,221,310  0  00   574    1    1  0B    1023  254   63    9,221,373  8,707,167
Info: End C,H,S values were large drive placeholders.
  Actual values are:
  9221310  0  00    574    1    1  0B   1115  254   63   9221373   8707167

===========================================================================================================
Disk Geometry Information for Disk 3:    9728 Cylinders,  255 Heads,  63 Sectors/Track
System              PartSect  # Boot BCyl Head Sect  FS    ECyl Head Sect    StartSect     NumSects
===========================================================================================================
NEW1                       0  0  00     0    1    1  0C    1023  254   63           63   78,140,097
Info: Begin C,H,S values were large drive placeholders.
Info: End C,H,S values were large drive placeholders.
  Actual values are:
        0  0  00      0    1    1  0C   4863  254   63        63  78140097
                           0  1  00  1023    0    1  0F    1023  254   63   78,140,160   78,140,160
Info: Begin C,H,S values were large drive placeholders.
Info: End C,H,S values were large drive placeholders.
  Actual values are:
        0  1  00   4864    0    1  0F   9727  254   63  78140160  78140160
NEW2              78,140,160  0  00  1023    1    1  0B    1023  254   63   78,140,223   78,140,097
Info: Begin C,H,S values were large drive placeholders.
Info: End C,H,S values were large drive placeholders.
  Actual values are:
 78140160  0  00   4864    1    1  0B   9727  254   63  78140223  78140097



===========================================================================================================
Partition Information for Disk 1:    4,337.9 Megabytes
Volume         PartType    Status    Size MB    PartSect  #   StartSect  TotalSects   UsedSects   FreeSects
===========================================================================================================
C:             FAT16B      Pri,Boot 1,207.10           0  0          63   2,473,947   2,473,947           0
               Extended    Pri       3,129.9           0  1   2,474,010   6,409,935   6,409,935           0
               EPBR        Log         839.3        None --   2,474,010   1,718,955   1,718,955           0
               Linux Ext2  Log         839.3   2,474,010  0   2,474,073   1,718,892   1,718,892           0
               EPBR        Log         964.8   2,474,010  1   4,192,965   1,975,995   1,975,995           0
               NTFS        Log         964.8   4,192,965  0   4,193,028   1,975,932   1,975,932           0
               EPBR        Log       1,325.7   4,192,965  1   6,168,960   2,714,985   2,714,985           0
               Linux Ext2  Log       1,325.6   6,168,960  0   6,169,023   2,714,922   2,714,922           0


===========================================================================================================
Partition Information for Disk 2:    8,754.2 Megabytes
Volume         PartType    Status    Size MB    PartSect  #   StartSect  TotalSects   UsedSects   FreeSects
===========================================================================================================
D:WIN952F32    FAT32       Pri       4,502.6           0  0          63   9,221,247   9,221,247           0
               Extended    Pri       4,251.6           0  1   9,221,310   8,707,230   8,707,230           0
               EPBR        Log       4,251.6        None --   9,221,310   8,707,230   8,707,230           0
E:BIGONE       FAT32       Log       4,251.5   9,221,310  0   9,221,373   8,707,167   8,707,167           0


===========================================================================================================
Partition Information for Disk 3:    76,308.8 Megabytes
Volume         PartType    Status    Size MB    PartSect  #   StartSect  TotalSects   UsedSects   FreeSects
===========================================================================================================
F:NEW1         FAT32X      Pri      38,154.3           0  0          63  78,140,097  78,140,097           0
               ExtendedX   Pri      38,154.4           0  1  78,140,160  78,140,160  78,140,160           0
               EPBR        Log      38,154.4        None --  78,140,160  78,140,160  78,140,160           0
G:NEW2         FAT32       Log      38,154.3  78,140,160  0  78,140,223  78,140,097  78,140,097           0


===========================================================================================================
Boot Record for drive C:   (Drive: 1, Starting sector: 63, Type: FAT)
===========================================================================================================
 1. Jump:                 EB 3C 90
 2. OEM Name:             MSWIN4.1
 3. Bytes per Sector:     512
 4. Sectors per Cluster:  64
 5. Reserved Sectors:     1
 6. Number of FAT's:      2
 7. Root Dir Entries:     512
 8. Total Sectors:        0  (0x0)
 9. Media Descriptor:     0xF8
10. Sectors per FAT:      256
11. Sectors per Track:    63  (0x3F)
12. Number of Heads:      255  (0xFF)
13. Hidden Sectors:       63  (0x3F)
14. Big Total Sectors:    2473947  (0x25BFDB)
15. Drive ID:             0x80
16. Dirty Flag:           0x00
17. Extended boot Sig:    0x29
18. Serial Number:        0x23211205
19. Volume Name:                     
20. File System Type:     FAT16   
21. Boot Signature:       0xAA55

===========================================================================================================
Boot Record for drive *:   (Drive: 1, Starting sector: 2,474,073, Type: Ext-2)
===========================================================================================================
 1. Jump:                   FA EB 7C 6C 62 61
 2. Signature:              LILO
 3. Stage:                  1
 4. Version:                1045
 5. Timeout:                0x005A
 6. Delay:                  0x0000
 7. Port:                   0
 8. Serial Parameters:      00
 9. Time Stamp:             0x3A64A86F
10. Image descriptor tables:@ 0x80/(158,231,20)/#1)
                              0x80/(158,231,21)/#1)
                              0x80/(158,231,19)/#1)
11. Prompt Flag:            1
12. Message Length:         0
13. Message Table:          @ 0x00/(0,0,0)/#0)
14. Keyboard table:         @ 0x80/(158,231,23)/#1)
15. Secondary loader:       @ 0x80/(156,74,19)/#1)
                              0x80/(156,74,20)/#1)
                              0x80/(156,74,21)/#1)
                              0x80/(156,74,22)/#1)
                              0x80/(156,74,23)/#1)
                              0x80/(156,74,24)/#1)
                              0x80/(156,74,25)/#1)
                              0x80/(156,74,26)/#1)
                              0x80/(156,74,27)/#1)
                              0x80/(156,74,28)/#1)
                              0x80/(156,74,29)/#1)
Ext-2 file system super block:
 1. Inodes count:           215040
 2. Blocks count:           859446
 3. Reserved blocks count:  42972
 4. Free blocks count:      372355
 5. First data block:       1
 6. Logical block size:     0
 7. Logical fragment size:  0
 8. Blocks/group:           8192
 9. Fragments/group:        8192
10. Inodes/group:           2048
11. Mount time:             0x3BD6DE72
12. Last write time:        0x3BD6DE72
13. Mount count:            8
14. Max. mount count:       20
15. Magic number:           EF53
16. State:                  0x0001
17. Error behavior:         0x0001
18. Minor revision level:   0
19. Last check time:        0x3BD5A1D5
20. Max. time bet. checks:  15552000
21. Creator oper. system:   0
22. Major revision level:   0
23. Reserved block def. UID:0x0000
24. Reserved block def. GID:0x0000

===========================================================================================================
Boot Record for drive *:   (Drive: 1, Starting sector: 4,193,028, Type: NTFS)
===========================================================================================================
 1. Jump:                   EB 52 90
 2. OEM Name:               NTFS    
 3. Bytes per Sector:       512
 4. Sectors per Cluster:    2
 5. Reserved Sectors:       0
 6. Number of FATs:         0
 7. Root Dir Entries:       0
 8. Total Sectors:          0
 9. Media Descriptor:       0xF8
10. Sectors per FAT:        0
11. Sectors per Track:      63  (0x3F)
12. Number of Heads:        255  (0xFF)
13. Hidden Sectors:         63  (0x3F)
14. Total Sectors (>32MB):  0  (0x0)
15. Unused:                 0x80008000
16. Total NTFS Sectors:     1975931
17. MFT Start Cluster:      16
18. MFT Mirror Start Clust: 493982
19. Clusters per FRS:       1
20. Clusters per Index Blk: 4
21. Serial Number:          0x44D44986D4497B66
22. Checksum:               0  (0x0)
23. Boot Signature:         0xAA55

===========================================================================================================
Boot Record for drive *:   (Drive: 1, Starting sector: 6,169,023, Type: Ext-2)
===========================================================================================================
Ext-2 file system super block:
 1. Inodes count:           338640
 2. Blocks count:           1357461
 3. Reserved blocks count:  54298
 4. Free blocks count:      131106
 5. First data block:       1
 6. Logical block size:     0
 7. Logical fragment size:  0
 8. Blocks/group:           8192
 9. Fragments/group:        8192
10. Inodes/group:           2040
11. Mount time:             0x3BD6D7B0
12. Last write time:        0x3BD6DC06
13. Mount count:            322
14. Max. mount count:       20
15. Magic number:           EF53
16. State:                  0x0000
17. Error behavior:         0x0001
18. Minor revision level:   0
19. Last check time:        0x387FA62A
20. Max. time bet. checks:  15552000
21. Creator oper. system:   0
22. Major revision level:   0
23. Reserved block def. UID:0x0000
24. Reserved block def. GID:0x0000

===========================================================================================================
Boot Record for drive D:   (Drive: 2, Starting sector: 63, Type: FAT32)
===========================================================================================================
 1. Jump:                   EB 58 90
 2. OEM Name:               MSWIN4.1
 3. Bytes per Sector:       512
 4. Sectors per Cluster:    8
 5. Reserved Sectors:       32
 6. Number of FAT's:        2
 7. Reserved:               0x0000
 8. Reserved:               0x0000
 9. Media Descriptor:       0xF8
10. Sectors per FAT:        0
11. Sectors per Track:      63  (0x3F)
12. Number of Heads:        255  (0xFF)
13. Hidden Sectors:         63  (0x3F)
14. Big Total Sectors:      9221247  (0x8CB47F)
15. Big Sectors per FAT:    8988
16. Extended Flags:         0x0000
17. FS Version:             0
18. First Cluster of Root:  2  (0x2)
19. FS Info Sector:         1
20. Backup Boot Sector:     6
21. Reserved:               000000000000000000000000 
22. Drive ID:               0x80
23. Reserved for NT:        0x00
24. Extended Boot Sig:      0x29
25. Serial Number:          0x0C8238AD
26. Volume Name:            WIN952F32  
27. File System Type:       FAT32   
28. Boot Signature:         0xAA55

===========================================================================================================
Boot Record for drive E:   (Drive: 2, Starting sector: 9,221,373, Type: FAT32)
===========================================================================================================
 1. Jump:                   EB 3C 90
 2. OEM Name:               MSWIN4.1
 3. Bytes per Sector:       512
 4. Sectors per Cluster:    8
 5. Reserved Sectors:       32
 6. Number of FAT's:        2
 7. Reserved:               0x0000
 8. Reserved:               0x0000
 9. Media Descriptor:       0xF8
10. Sectors per FAT:    0
11. Sectors per Track:      63  (0x3F)
12. Number of Heads:        255  (0xFF)
13. Hidden Sectors:         63  (0x3F)
14. Big Total Sectors:      8707167  (0x84DC5F)
15. Big Sectors per FAT:    8488
16. Extended Flags:         0x0000
17. FS Version:             0
18. First Cluster of Root:  2  (0x2)
19. FS Info Sector:         1
20. Backup Boot Sector:     6
21. Reserved:               F6F6F6F6F6F6F6F6F6F6F6F6 
22. Drive ID:               0x80
23. Reserved for NT:        0x00
24. Extended Boot Sig:      0x29
25. Serial Number:          0x3B3BDD01
26. Volume Name:            BIGONE     
27. File System Type:       FAT32   
28. Boot Signature:         0xAA55

===========================================================================================================
Boot Record for drive F:   (Drive: 3, Starting sector: 63, Type: FAT32)
===========================================================================================================
 1. Jump:                   EB 3C 90
 2. OEM Name:               MSWIN4.1
 3. Bytes per Sector:       512
 4. Sectors per Cluster:    64
 5. Reserved Sectors:       32
 6. Number of FAT's:        2
 7. Reserved:               0x0000
 8. Reserved:               0x0000
 9. Media Descriptor:       0xF8
10. Sectors per FAT:        0
11. Sectors per Track:      63  (0x3F)
12. Number of Heads:        255  (0xFF)
13. Hidden Sectors:         63  (0x3F)
14. Big Total Sectors:      78140097  (0x4A852C1)
15. Big Sectors per FAT:    9538
16. Extended Flags:         0x0000
17. FS Version:             0
18. First Cluster of Root:  2  (0x2)
19. FS Info Sector:         1
20. Backup Boot Sector:     6
21. Reserved:               F6F6F6F6F6F6F6F6F6F6F6F6 
22. Drive ID:               0x80
23. Reserved for NT:        0x00
24. Extended Boot Sig:      0x29
25. Serial Number:          0xB1B268F9
26. Volume Name:            NEW1       
27. File System Type:       FAT32   
28. Boot Signature:         0xAA55

===========================================================================================================
Boot Record for drive G:   (Drive: 3, Starting sector: 78,140,223, Type: FAT32)
===========================================================================================================
 1. Jump:                   EB 3C 90
 2. OEM Name:               MSWIN4.1
 3. Bytes per Sector:       512
 4. Sectors per Cluster:    64
 5. Reserved Sectors:       32
 6. Number of FAT's:        2
 7. Reserved:               0x0000
 8. Reserved:               0x0000
 9. Media Descriptor:       0xF8
10. Sectors per FAT:        0
11. Sectors per Track:      63  (0x3F)
12. Number of Heads:        255  (0xFF)
13. Hidden Sectors:         63  (0x3F)
14. Big Total Sectors:      78140097  (0x4A852C1)
15. Big Sectors per FAT:    9538
16. Extended Flags:         0x0000
17. FS Version:             0
18. First Cluster of Root:  2  (0x2)
19. FS Info Sector:         1
20. Backup Boot Sector:     6
21. Reserved:               F6F6F6F6F6F6F6F6F6F6F6F6 
22. Drive ID:               0x80
23. Reserved for NT:        0x00
24. Extended Boot Sig:      0x29
25. Serial Number:          0xECEDF714
26. Volume Name:            NEW2       
27. File System Type:       FAT32   
28. Boot Signature:         0xAA55
Comment 1 Brent Fox 2001-10-25 15:41:11 EDT
I find it a little hard to believe that the installer created these errors.  The
installer (or updater) doesn't actually write anything to your hard drive until
the end where the packages are installer (or updated).  All the updater does is
scan the drives for existing installations, and then verifies that all
partitions are in a clean state.  Are you able to reproduce the errors at all?
Comment 2 Need Real Name 2001-10-25 16:24:22 EDT
yes, i can reproduce it. and everytime the installer tries to mount i get the 
'mounting unchecked fs, check recommended' messages on console 4 (i think its 
4). if i mount them on console 2 manually there are no mount messages. 

im not quite sure what the installer does mount or how he tries, but he gets 
error messages and from time to time i get errors on my file-systems after he 
tried. not everytime, but everytime mount complains about en error in the 
filesystem in console 4.

i also reseted the mount-count on my second partition, which had a mount count 
of 322 (i dont know why), but the problem remains.
Comment 3 Brent Fox 2001-10-25 16:36:59 EDT
katzj, do you know why this would happen?
Comment 4 Need Real Name 2001-10-25 18:05:27 EDT
ok, i got the solution. its easy and embarrassing (for me):

i added the /usr manually to my fstab. but not with 1 2 flags at the end but 
with cd-rom like 0 0 flags (dont ask me why. probably lameness). so that means i 
could check it as often as i wanted, everytime i rebooted my system it wasn't 
umounted cleanly and therefore dirty for the updater. but since it wasn't in 
the check-list my system never complained about it (at least 322 times). and as 
i mounted the partition on console 2 i didn't recognize that all messages go to 
console 4. so it seemed to me that my mounting was okay while the evil updater 
on console 4 did dirty things to my partitions.

so all i can say is sorry and thanks for your quick help :))
Comment 5 Brent Fox 2001-10-26 09:49:36 EDT
Ok.  Glad things are working now.

Note You need to log in before you can comment on or make changes to this bug.